package com.kdanmobile.admanager.admob

import android.os.Bundle
import com.google.ads.mediation.admob.AdMobAdapter
import com.google.android.gms.ads.AdRequest

class RequestFactory {
    companion object {
        fun create(isPersonalized: Boolean): AdRequest {
            return AdRequest.Builder().apply {
                if (!isPersonalized) {
                    addNetworkExtrasBundle(AdMobAdapter::class.java, Bundle().apply {
                        putString("npa", "1")
                    })
                }
            }.build()
        }
    }
}